function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = ADS_SIR.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(34, 57);
g1(1,12)=1;
g1(1,57)=1;
g1(2,1)=(-(params(6)/((y(13)-params(6)*y(1))*(y(13)-params(6)*y(1)))));
g1(2,13)=(-((-1)/((y(13)-params(6)*y(1))*(y(13)-params(6)*y(1)))-(-(params(6)*params(5)*(-params(6))))/((y(46)-y(13)*params(6))*(y(46)-y(13)*params(6)))));
g1(2,46)=(-(params(6)*params(5)))/((y(46)-y(13)*params(6))*(y(46)-y(13)*params(6)));
g1(2,29)=1;
g1(3,50)=y(52)*(-(1+y(28)))/(y(50)*y(50));
g1(3,28)=y(52)*1/y(50);
g1(3,52)=(1+y(28))/y(50);
g1(4,9)=(-((-(y(29)*params(5)))/(y(9)*y(9))));
g1(4,29)=(-(params(5)/y(9)));
g1(4,30)=1;
g1(5,48)=y(52)*y(53);
g1(5,49)=(-(y(52)*y(53)));
g1(5,52)=(-(y(53)*(y(49)-y(48))));
g1(5,33)=1;
g1(5,53)=(-(y(52)*(y(49)-y(48))));
g1(6,48)=(-(y(52)*y(53)));
g1(6,52)=(-(y(53)*y(48)));
g1(6,32)=1;
g1(6,53)=(-(y(52)*y(48)));
g1(7,31)=(-(params(7)*params(8)));
g1(7,35)=1;
g1(8,31)=1;
g1(8,32)=(-(1/(params(8)-y(33))));
g1(8,33)=(-(y(32)/((params(8)-y(33))*(params(8)-y(33)))));
g1(9,2)=(-(params(9)*y(21)));
g1(9,19)=(-(y(11)*params(7)*(1-y(10))));
g1(9,20)=(-(y(11)*params(7)*y(10)));
g1(9,21)=(-(params(9)*y(2)));
g1(9,10)=(-(y(11)*params(7)*(y(20)-y(19))));
g1(9,11)=(-(params(7)*(y(19)+(y(20)-y(19))*y(10))));
g1(9,34)=1;
g1(10,14)=(-(y(33)*y(21)));
g1(10,21)=(-(y(33)*y(14)));
g1(10,32)=(-y(34));
g1(10,33)=(-(y(21)*y(14)));
g1(10,34)=(-y(32));
g1(10,42)=1;
g1(11,14)=(-y(21));
g1(11,21)=(-y(14));
g1(11,43)=1;
g1(12,14)=(-(y(33)*y(21)));
g1(12,21)=(-(y(33)*y(14)));
g1(12,33)=(-(y(21)*y(14)));
g1(12,44)=1;
g1(13,32)=(-y(34));
g1(13,34)=(-y(32));
g1(13,45)=1;
g1(14,14)=y(21);
g1(14,21)=y(14);
g1(14,31)=(-(y(34)*1/(1-y(40))));
g1(14,34)=(-(y(31)/(1-y(40))));
g1(14,40)=(-(y(34)*y(31)/((1-y(40))*(1-y(40)))));
g1(15,14)=(-y(21));
g1(15,15)=y(21);
g1(15,21)=y(15)-y(14);
g1(16,12)=(-(T(14)*getPowerDeriv(y(12),1-params(10),1)));
g1(16,3)=(-(T(1)*getPowerDeriv(y(3),params(10),1)));
g1(16,16)=1;
g1(17,12)=(-((-(y(16)*(1-params(10))*y(22)))/(y(12)*y(12))));
g1(17,16)=(-((1-params(10))*y(22)/y(12)));
g1(17,22)=(-(y(16)*(1-params(10))/y(12)));
g1(17,26)=1;
g1(18,3)=(-((-(y(16)*params(10)*y(22)))/(y(3)*y(3))/y(5)));
g1(18,16)=(-(params(10)*y(22)/y(3)/y(5)));
g1(18,20)=1;
g1(18,5)=(-((-(y(21)*(1-params(11))+y(16)*params(10)*y(22)/y(3)))/(y(5)*y(5))));
g1(18,21)=(-((1-params(11))/y(5)));
g1(18,22)=(-(y(16)*params(10)/y(3)/y(5)));
g1(19,3)=(-(1-params(11)));
g1(19,15)=1;
g1(19,17)=(-1);
g1(20,4)=(-((-(y(17)*y(37)))/(y(4)*y(4))));
g1(20,17)=(-(y(37)/y(4)-y(52)*y(54)*(-y(47))/(y(17)*y(17))*2*y(47)/y(17)));
g1(20,47)=y(52)*y(54)*2*y(47)/y(17)*1/y(17);
g1(20,21)=1;
g1(20,52)=y(54)*T(2);
g1(20,36)=(-1);
g1(20,37)=(-(y(17)/y(4)));
g1(20,54)=y(52)*T(2);
g1(21,4)=(-(params(13)/2*(-y(17))/(y(4)*y(4))*2*(y(17)/y(4)-1)));
g1(21,17)=(-(params(13)/2*2*(y(17)/y(4)-1)*1/y(4)));
g1(21,36)=1;
g1(22,4)=(-(params(13)*(-y(17))/(y(4)*y(4))));
g1(22,17)=(-(params(13)*1/y(4)));
g1(22,37)=1;
g1(23,16)=1;
g1(23,18)=(-y(23));
g1(23,23)=(-y(18));
g1(24,6)=(-T(4));
g1(24,23)=1;
g1(24,7)=(-(y(6)*params(15)*T(16)*getPowerDeriv(T(3),(-params(14)),1)));
g1(24,25)=(-((1-params(15))*getPowerDeriv(y(25),(-params(14)),1)));
g1(25,7)=(-(params(15)*T(16)/y(24)*T(17)));
g1(25,24)=(-(params(15)*T(17)*(-T(3))/(y(24)*y(24))));
g1(25,25)=(-((1-params(15))*getPowerDeriv(y(25),1-params(14),1)));
g1(26,38)=1;
g1(26,39)=(-(params(14)/(params(14)-1)));
g1(27,16)=(-(y(29)*y(25)));
g1(27,24)=(-(y(55)*y(25)*params(5)*params(15)/y(51)*T(18)*T(19)));
g1(27,50)=(-(y(55)*y(25)*params(5)*params(15)/y(51)*T(19)*(-T(5))/(y(50)*y(50))));
g1(27,25)=(-(y(29)*y(16)+y(55)*T(7)*params(5)*params(15)/y(51)));
g1(27,51)=(-(y(55)*T(7)*(-(y(25)*params(5)*params(15)))/(y(51)*y(51))));
g1(27,29)=(-(y(16)*y(25)));
g1(27,38)=1;
g1(27,55)=(-(y(25)*params(5)*params(15)/y(51)*T(7)));
g1(28,16)=(-(y(29)*y(22)));
g1(28,22)=(-(y(29)*y(16)));
g1(28,24)=(-(y(56)*params(5)*params(15)*T(18)*T(20)));
g1(28,50)=(-(y(56)*params(5)*params(15)*T(20)*(-T(5))/(y(50)*y(50))));
g1(28,29)=(-(y(16)*y(22)));
g1(28,39)=1;
g1(28,56)=(-T(8));
g1(29,26)=(-params(17));
g1(29,27)=1;
g1(30,48)=(-(params(22)*(-(1/y(48)))));
g1(30,49)=(-(params(22)*1/y(49)));
g1(30,40)=1;
g1(31,18)=(-(T(9)*T(10)*1/(steady_state(7))*getPowerDeriv(y(18)/(steady_state(7)),params(20),1)*T(15)));
g1(31,24)=(-(T(9)*T(15)*T(11)*1/params(5)*1/(steady_state(13))*getPowerDeriv(y(24)/(steady_state(13)),params(19),1)));
g1(31,8)=(-(T(13)*getPowerDeriv(1+y(8),params(18),1)));
g1(31,28)=1;
g1(32,19)=(-y(24));
g1(32,24)=(-y(19));
g1(32,8)=1;
g1(33,13)=(-1);
g1(33,15)=(-(y(21)*y(40)*params(21)));
g1(33,17)=(-(1+y(36)));
g1(33,18)=1;
g1(33,21)=(-(y(15)*y(40)*params(21)));
g1(33,36)=(-y(17));
g1(33,40)=(-(y(15)*y(21)*params(21)));
g1(33,41)=(-1);
g1(34,41)=1;

end
